Description

In the Layer labeling settings dialog, there is text Label this layer with, then a dropdown, then a button with a lowercase Greek

epsilon and an ellipsis (...). Please remove the epsilon. It makes the button look overdone, and ... alone is sufficient as it is well-understood

to mean that there are more options for the adjacent feature.

History

#1 - 2013-06-02 07:32 PM - Nathan Woodrow

I would rather it say Expression and also have the icon.  The Greek epsilon is being used though the UI to mean expression so it is there for consistency

reasons.  The ... alone is not enough as it doesn't tell the user what that button is for (trouble I have had in the past with students in training)

#2 - 2013-06-02 07:37 PM - Aren Cambre

Sorry, didn't realize the epsilon is being used in other places in QGIS. I think I agree that epsilon + Expression is better here.

#3 - 2013-06-03 10:29 AM - Larry Shaffer

- File expression_ls.png added

Sorry, I have to disagree. First off, the issue is an opinion, not a bug, and better suited as a post to the mailing list.

IMO, the use of an icon works better, and is now the standard to represent an Expression. The HIG specifies putting an ellipses for actions that pop open a

dialog, which is why the button is labeled 'E...'. Other parts of the GUI don't even go that far (see new attribute table).

Having just an ellipsis generally represents opening a file browsing dialog of some kind. That is clearly not the case here, so more is needed.

The button already has a tool tip that says 'Edit expression'. Also ALL of the new labeling data defined buttons use the epsilon symbol to represent when an

expression is set. Users will learn that the epsilon represents expressions or expression functions, possibly after just one use. IMO, there should be no

change, except maybe how the epsilon is styled.

Initially, I thought just an 'E' was not enough. I proposed an '(E)' instead, however, though it was accepted, for whatever reason it was not adopted.

#4 - 2013-07-21 04:12 PM - Nathan Woodrow

- Resolution set to wontfix

#5 - 2013-07-21 04:51 PM - Nathan Woodrow

2025-04-27 1/2

http://drive.dakotacarto.com/qgis/expression_ls.png


- Status changed from Open to Closed
